Package org.silverpeas.mobile.shared.dto.survey

## Class SurveyDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.survey.SurveyDTO

- All Implemented Interfaces:
    `Serializable`

      public class SurveyDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurveyDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBeginDate()` |
    `String` | `getCreationDate()` |
    `String` | `getCreator()` |
    `String` | `getDescription()` |
    `String` | `getEndDate()` |
    `String` | `getId()` |
    `String` | `getName()` |
    `int` | `getNbMaxParticipations()` |
    `String` | `getNbVotes()` |
    `int` | `getResultMode()` |
    `int` | `getResultView()` |
    `boolean` | `isAnonymous()` |
    `void` | `setAnonymous​(boolean anonymous)` |
    `void` | `setBeginDate​(String beginDate)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreator​(String creator)` |
    `void` | `setDescription​(String description)` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setId​(String id)` |
    `void` | `setName​(String name)` |
    `void` | `setNbMaxParticipations​(int nbMaxParticipations)` |
    `void` | `setNbVotes​(String nbVotes)` |
    `void` | `setResultMode​(int resultMode)` |
    `void` | `setResultView​(int resultView)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyDTO

          public SurveyDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getCreator

          public String getCreator()

    - #### setCreator

          public void setCreator​(String creator)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)

    - #### getBeginDate

          public String getBeginDate()

    - #### setBeginDate

          public void setBeginDate​(String beginDate)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getNbVotes

          public String getNbVotes()

    - #### setNbVotes

          public void setNbVotes​(String nbVotes)

    - #### getNbMaxParticipations

          public int getNbMaxParticipations()

    - #### setNbMaxParticipations

          public void setNbMaxParticipations​(int nbMaxParticipations)

    - #### isAnonymous

          public boolean isAnonymous()

    - #### setAnonymous

          public void setAnonymous​(boolean anonymous)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getResultMode

          public int getResultMode()

    - #### setResultMode

          public void setResultMode​(int resultMode)

    - #### getResultView

          public int getResultView()

    - #### setResultView

          public void setResultView​(int resultView)